Bug 993037 - Maven repo zip contains artifacts named *.redhat-* instead of *-redhat-*
Summary: Maven repo zip contains artifacts named *.redhat-* instead of *-redhat-*
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository
Version: 6.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: EAP 6.2.0
Assignee: Paul Gier
QA Contact: Nikoleta Hlavickova
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-05 13:24 UTC by Nikoleta Hlavickova
Modified: 2013-12-15 13:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-09 18:22:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 988424 unspecified CLOSED Unexpected xy-jandex.jar files for cxf in EAP zip in 6.1.1 ER3, regression in cxf-rt-ws-security jar which doesn't conta... 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 1017619 unspecified CLOSED Maven repo zip contains supported artifacts with invalid OSGi version 2020-10-14 00:28:05 UTC

Internal Links: 988424 1017619

Description Nikoleta Hlavickova 2013-08-05 13:24:12 UTC
Description of problem:
There are several artifacts in Maven repository that contain string *.redhat-* instead of *-redhat-*. For example: ./org/apache/cxf/cxf-parent/2.6.8.redhat-4/cxf-parent-2.6.8.redhat-4.pom should be named cxf-parent-2.6.8-redhat-4.pom

Version-Release number of selected component:
EAP 6.1.1 ER4

JARs affected:
./commons-beanutils/commons-beanutils/1.8.3.redhat-3/commons-beanutils-1.8.3.redhat-3-sources.jar
./commons-beanutils/commons-beanutils/1.8.3.redhat-3/commons-beanutils-1.8.3.redhat-3.jar
./org/apache/cxf/cxf-rt-databinding-jaxb/2.6.8.redhat-4/cxf-rt-databinding-jaxb-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-databinding-jaxb/2.6.8.redhat-4/cxf-rt-databinding-jaxb-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-bindings-xml/2.6.8.redhat-4/cxf-rt-bindings-xml-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-bindings-xml/2.6.8.redhat-4/cxf-rt-bindings-xml-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-tools-common/2.6.8.redhat-4/cxf-tools-common-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-tools-common/2.6.8.redhat-4/cxf-tools-common-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-ws-rm/2.6.8.redhat-4/cxf-rt-ws-rm-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-ws-rm/2.6.8.redhat-4/cxf-rt-ws-rm-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-ws-mex/2.6.8.redhat-4/cxf-rt-ws-mex-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-ws-mex/2.6.8.redhat-4/cxf-rt-ws-mex-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-core/2.6.8.redhat-4/cxf-rt-core-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-core/2.6.8.redhat-4/cxf-rt-core-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-tools-java2ws/2.6.8.redhat-4/cxf-tools-java2ws-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-tools-java2ws/2.6.8.redhat-4/cxf-tools-java2ws-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-frontend-simple/2.6.8.redhat-4/cxf-rt-frontend-simple-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-frontend-simple/2.6.8.redhat-4/cxf-rt-frontend-simple-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-frontend-jaxws/2.6.8.redhat-4/cxf-rt-frontend-jaxws-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-frontend-jaxws/2.6.8.redhat-4/cxf-rt-frontend-jaxws-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-ws-security/2.6.8.redhat-4/cxf-rt-ws-security-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-ws-security/2.6.8.redhat-4/cxf-rt-ws-security-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-transports-jms/2.6.8.redhat-4/cxf-rt-transports-jms-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-transports-jms/2.6.8.redhat-4/cxf-rt-transports-jms-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-tools-validator/2.6.8.redhat-4/cxf-tools-validator-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-tools-validator/2.6.8.redhat-4/cxf-tools-validator-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-ws-addr/2.6.8.redhat-4/cxf-rt-ws-addr-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-ws-addr/2.6.8.redhat-4/cxf-rt-ws-addr-2.6.8.redhat-4-sources.jar
./org/apache/cxf/services/sts/cxf-services-sts-core/2.6.8.redhat-4/cxf-services-sts-core-2.6.8.redhat-4.jar
./org/apache/cxf/services/sts/cxf-services-sts-core/2.6.8.redhat-4/cxf-services-sts-core-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-bindings-coloc/2.6.8.redhat-4/cxf-rt-bindings-coloc-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-bindings-coloc/2.6.8.redhat-4/cxf-rt-bindings-coloc-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-ws-policy/2.6.8.redhat-4/cxf-rt-ws-policy-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-ws-policy/2.6.8.redhat-4/cxf-rt-ws-policy-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-bindings-object/2.6.8.redhat-4/cxf-rt-bindings-object-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-bindings-object/2.6.8.redhat-4/cxf-rt-bindings-object-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-management/2.6.8.redhat-4/cxf-rt-management-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-management/2.6.8.redhat-4/cxf-rt-management-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-tools-wsdlto-databinding-jaxb/2.6.8.redhat-4/cxf-tools-wsdlto-databinding-jaxb-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-tools-wsdlto-databinding-jaxb/2.6.8.redhat-4/cxf-tools-wsdlto-databinding-jaxb-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-tools-wsdlto-frontend-jaxws/2.6.8.redhat-4/cxf-tools-wsdlto-frontend-jaxws-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-tools-wsdlto-frontend-jaxws/2.6.8.redhat-4/cxf-tools-wsdlto-frontend-jaxws-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-transports-local/2.6.8.redhat-4/cxf-rt-transports-local-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-transports-local/2.6.8.redhat-4/cxf-rt-transports-local-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-bindings-soap/2.6.8.redhat-4/cxf-rt-bindings-soap-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-bindings-soap/2.6.8.redhat-4/cxf-rt-bindings-soap-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-tools-wsdlto-core/2.6.8.redhat-4/cxf-tools-wsdlto-core-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-tools-wsdlto-core/2.6.8.redhat-4/cxf-tools-wsdlto-core-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-transports-http/2.6.8.redhat-4/cxf-rt-transports-http-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-transports-http/2.6.8.redhat-4/cxf-rt-transports-http-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-rt-databinding-aegis/2.6.8.redhat-4/cxf-rt-databinding-aegis-2.6.8.redhat-4.jar
./org/apache/cxf/cxf-rt-databinding-aegis/2.6.8.redhat-4/cxf-rt-databinding-aegis-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-api/2.6.8.redhat-4/cxf-api-2.6.8.redhat-4-sources.jar
./org/apache/cxf/cxf-api/2.6.8.redhat-4/cxf-api-2.6.8.redhat-4.jar

Comment 1 Nikoleta Hlavickova 2013-08-13 07:43:57 UTC
See BZ 988424 comments #5-9

Comment 2 Paul Gier 2013-08-20 13:39:47 UTC
For EAP 6.2 we will rebuild to meet the more strict OSGi versioning requirements tested by this Jenkins job:

http://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-valid-versions/

More information about the OSGi version spec is in docspace:
https://docspace.corp.redhat.com/docs/DOC-30216

Comment 4 Paul Gier 2013-10-09 18:22:02 UTC
Closing this one as "not a bug" because this change is intentional.

Comment 6 Nikoleta Hlavickova 2013-10-10 09:02:36 UTC
I have created BZ for incorrect OSGi versioning.


Note You need to log in before you can comment on or make changes to this bug.